<?php
ob_start();
$id_proyecto = trim($_GET['id_proyecto']);
/*$conexion = mysql_connect('localhost', 'root', 'root')or die(mysql_error());//BASE DE DATOS LOCAL
$postventa = 'postventa';*/
$conexion = mysql_connect('190.196.156.120', 'pvitls_simas', 'postventa')or die(mysql_error());//BASE DE DATOS LOCAL
$postventa = 'pvitls_postventa';
// //BASES DE DATOS
require_once dirname(__FILE__).'/../Classes/PHPExcel.php';
$objPHPExcel = new PHPExcel();
$objPHPExcel->setActiveSheetIndex(0)
->setCellValue('A1','Rut *')
->setCellValue('B1', 'Nombre')
->setCellValue('C1', 'Apellido Paterno')
->setCellValue('D1', 'Apellido Materno')
->setCellValue('E1', 'Email')
->setCellValue('F1', 'Celular')
->setCellValue('G1', 'Telefono Oficina')
->setCellValue('H1', 'Dirección');
$rowcount = 1;
mysql_select_db($postventa,$conexion)or die(mysql_error());
$queryproyecto ="SELECT   per.RUT,
		                  po.PRO_VENTA,
		                  pro.NUMERO,
		                  per.DIRECCION,
		                  per.EMAIL,
		                  pern.NOMBRE,
		                  pern.APE_PATERNO,
		                  pern.APE_MATERNO,
		                  pern.CELULAR,
		                  pern.TEL_OFICINA
		                  FROM tblpropietarios po
		                  INNER JOIN tblpropiedades pro ON pro.ID_PROPIEDAD = po.ID_PROPIEDAD
		                  INNER JOIN tblmodelopropiedades m ON m.ID_MODELO = pro.ID_MODELO
		                  INNER JOIN tbltipopropiedades t ON t.ID_TIPOPROPIEDAD = m.ID_TIPOPROPIEDAD
		                  INNER JOIN tblconfiguracionetapas ce ON ce.ID_DISENOETAPA = pro.ID_DISENOETAPA
		                  INNER JOIN tblmodelounidadconstrucciones mu ON mu.ID_MODELOUNIDADCONSTRUCCION = ce.ID_MODELOUNIDADCONSTRUCCION
		                  INNER JOIN tbletapas e ON e.ID_ETAPA = ce.ID_ETAPA
		                  INNER JOIN tblproyectos p  ON  p.ID_PROYECTO = e.ID_PROYECTO
		                  INNER JOIN tblpersonas per ON per.ID_PERSONA = po.ID_PERSONA
		                  INNER JOIN tblpernaturales pern ON pern.ID_PERNATURAL = per.ID_PERSONA
		                  WHERE p.ID_PROYECTO = '$id_proyecto' GROUP BY per.RUT"; 

$resultado = mysql_query($queryproyecto,$conexion);
while($fila = mysql_fetch_array($resultado)){
	$objPHPExcel->getActiveSheet()->setCellValueByColumnAndRow(0, $rowcount+1, utf8_encode($fila['RUT']));   
	$objPHPExcel->getActiveSheet()->setCellValueByColumnAndRow(1, $rowcount+1, utf8_encode($fila['NOMBRE']));  
	$objPHPExcel->getActiveSheet()->setCellValueByColumnAndRow(2, $rowcount+1, utf8_encode($fila['APE_PATERNO']));  
	$objPHPExcel->getActiveSheet()->setCellValueByColumnAndRow(3, $rowcount+1, utf8_encode($fila['APE_MATERNO']));  
	$objPHPExcel->getActiveSheet()->setCellValueByColumnAndRow(4, $rowcount+1, utf8_encode($fila['EMAIL']));  
	$objPHPExcel->getActiveSheet()->setCellValueByColumnAndRow(5, $rowcount+1, utf8_encode($fila['CELULAR']));  
	$objPHPExcel->getActiveSheet()->setCellValueByColumnAndRow(6, $rowcount+1, utf8_encode($fila['TEL_OFICINA']));  
	$objPHPExcel->getActiveSheet()->setCellValueByColumnAndRow(7, $rowcount+1, utf8_encode($fila['DIRECCION']));
$rowcount++;
}
$objPHPExcel->getActiveSheet()->getColumnDimension('A')->setAutoSize(true);
$objPHPExcel->getActiveSheet()->getColumnDimension('B')->setAutoSize(true);
$objPHPExcel->getActiveSheet()->getColumnDimension('C')->setAutoSize(true);
$objPHPExcel->getActiveSheet()->getColumnDimension('D')->setAutoSize(true);
$objPHPExcel->getActiveSheet()->getColumnDimension('E')->setAutoSize(true);
$objPHPExcel->getActiveSheet()->getColumnDimension('F')->setAutoSize(true);
$objPHPExcel->getActiveSheet()->getColumnDimension('G')->setAutoSize(true);
$objPHPExcel->getActiveSheet()->getColumnDimension('H')->setAutoSize(true);
$objPHPExcel->getActiveSheet()->setTitle('Carga Proyecto');
$objPHPExcel->setActiveSheetIndex(0);
header('Content-Type: application/vnd.ms-excel');
header('Content-Disposition: attachment;filename="Carga Proyecto.xls"');
header ('Expires: Mon, 26 Jul 2010 05:00:00 GMT'); // Date in the past
header ('Pragma: public');
$objWriter = PHPExcel_IOFactory::createWriter($objPHPExcel, 'Excel5');
$objWriter->save('php://output');
exit;
?>